<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="debug" strict="true" name="XMLConfigTest"
               packages="main.java.br.unicamp.ic.inf300.sort">
  <Properties>
    <Property name="filename">test.log</Property>
  </Properties>
  <Appenders>
    <Appender type="Console" name="STDOUT">
      <Layout type="PatternLayout" pattern="%m MDC%X%n"/>
      <Filters>
        <Filter type="MarkerFilter" marker="FLOW" onMatch="DENY" onMismatch="NEUTRAL"/>
        <Filter type="MarkerFilter" marker="EXCEPTION" onMatch="DENY" onMismatch="ACCEPT"/>
      </Filters>
    </Appender>
    <Appender type="File" name="File" fileName="${filename}">
      <Layout type="PatternLayout">
        <Pattern>%d %p %C{1.} [%t] %m%n</Pattern>
      </Layout>
    </Appender>
	</Appenders>
  <Loggers>
    <Logger name="main.java.br.unicamp.ic.inf300.sort" level="trace">
      <AppenderRef ref="Console"/>
    </Logger>
    <Logger name="main.java.br.unicamp.ic.inf300.sort" level="warn">
      <AppenderRef ref="Console"/>
    </Logger>
	<Logger name="main.java.br.unicamp.ic.inf300.sort"  level="debug" additivity="false">
      <AppenderRef ref="File"/>
    </Logger>

	<Root level="trace">
      <AppenderRef ref="STDOUT"/>
    </Root>
  </Loggers>
</Configuration>